HVAC data
curl --request GET \
--url https://api.energy-hub.io/v1.0.0/hvacs/{hvacId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isOnline": true,
"id": "6eb5497d-c6bb-4290-84ef-4409fe9501f1",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
"staticData": {
"lastUpdated": "2023-11-07T05:31:56Z",
"model": "Vitotronic 200",
"capableModes": [],
"name": "Viessmann Vitotronic 200",
"room": "Living room"
},
"lastUpdated": "2023-11-07T05:31:56Z",
"powerState": {
"lastUpdated": "2023-11-07T05:31:56Z",
"powerConsumption": 123
},
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"climateState": {
"mode": "HEAT",
"lastUpdated": "2023-11-07T05:31:56Z",
"temperatureTargets": [
{
"mode": "HEAT",
"temperature": 18.1
}
],
"isActive": true,
"temperatureCurrent": 20.3,
"temperatureOutside": 12.1
}
}{
"errorCode": "UNAUTHORIZED",
"id": "4c30ae83-182e-4c92-a108-b6ee12619de8",
"message": "Unauthorized"
}{
"errorCode": "HVAC_NOT_FOUND",
"id": "4c30ae83-182e-4c92-a108-b6ee12619de8",
"message": "[HVAC] HVAC not found"
}HVAC
HVAC data
Returns general data of a single HVAC.
GET
/
v1.0.0
/
hvacs
/
{hvacId}
HVAC data
Authorizations
API key used for authorization and authentication.
Path Parameters
HVAC ID
Response
Successful operation
Object of HVAC response.
Indicates if the HVAC is reachable trough the vendor system.
Example:
true
The ID of the HVAC.
Example:
"6eb5497d-c6bb-4290-84ef-4409fe9501f1"
The ID of the user.
Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
Object of static data of a HVAC.
Show child attributes
Show child attributes
The timestamp of the last update of any variable of the HVAC.
Object of power state of HVAC device.
Show child attributes
Show child attributes
The location ID of the HVAC.
Object of climate state of HVAC device.
Show child attributes
Show child attributes
⌘I

